Set Enveloped data version to 2 if ktri version not zero.
[openssl.git] / test / testsslproxy
index 40469f5..58bbda8 100644 (file)
@@ -4,7 +4,7 @@ echo 'Testing a lot of proxy conditions.'
 echo 'Some of them may turn out being invalid, which is fine.'
 for auth in A B C BC; do
     for cond in A B C 'A|B&!C'; do
-       sh ./testssl $1 $2 $3 "-proxy_auth $auth -proxy_cond $cond"
-       if [ $? == 3 ]; then exit 1; fi
+       sh ./testssl $1 $2 $3 "-proxy -proxy_auth $auth -proxy_cond $cond"
+       if [ $? = 3 ]; then exit 1; fi
     done
 done